Android-Support-Library – вопросы и ответы

107
голосов
1
ответ
Я создаю проект библиотеки андроидов. В моей библиотеке используются сторонние библиотеки (например, guava и т.д.). Теперь некоторые другие команды должны использовать эту библиотеку, которую я соз...
3 месяца назад ReadyToLearn
94
голоса
1
ответ
Я разрабатываю приложение, в котором я использовал фрагменты библиотеки поддержки, и наткнулся на эту проблему, и я не могу добавить PreferencesFragment (для параметров) с помощью этой библиотеки? ...
3 месяца назад Stefan
138
голосов
4
ответа
Я перешел на официальную библиотеку поддержки дизайна Google. Теперь я хочу использовать вторичное меню с делителем следующим образом: Но поскольку Android использует Inflater Menu, я понятия не им...
3 месяца назад tom.
77
голосов
1
ответ
В моем приложении мне нужно предоставить этот экран для планшетов. Поэтому, когда я выбираю Setings по от ListFragment мне нужно добавить присваивающий фрагмент с активностью, например PreferenceFr...
3 месяца назад Mike Herasimov
157
голосов
5
ответов
Я обновился до Android Support Library 23.2.0 и добавил vectorDrawables.useSupportLibrary = true для моего build.gradle, так что у меня есть векторная поддерживаемая поддержка для apis ниже 21. (по...
3 месяца назад lukle
77
голосов
2
ответа
Я могу выбрать один из следующих способов проверки, чтобы увидеть, имеет ли мое приложение данное разрешение. Какой из них предпочтительнее? ContextCompat (из support-compat lib): ContextCompat.che...
3 месяца назад Adam S
55
голосов
3
ответа
Все мои зависимости начинаются с verson 27, но задача сборки по-прежнему заканчивается Исключением: Ошибка. Все библиотеки com.android.support должны использовать ту же самую спецификацию версии (в...
3 месяца назад Oleh Sokolov
101
голос
2
ответа
Я пытаюсь использовать функцию setOffscreenPageLimit() в ViewPager, но Eclipse говорит, что функция setOffscreenPageLimit() не определена для типа ViewPager Однако я вижу это в документах и во мног...
3 месяца назад Lisa Wray
55
голосов
1
ответ
У меня очень странная проблема с моим приложением. После обновления до новейших версий библиотек поддержки я получаю эту ошибку: java.lang.RuntimeException: Unable to start activity ComponentInfo{c...
3 месяца назад fragon
127
голосов
2
ответа
У меня возникают проблемы с возвратом из режима Immersive в ActionBarActivity . Я создал простое приложение, чтобы проиллюстрировать эту проблему. Существует макет с одной кнопкой для переключения ...
3 месяца назад ci_
66
голосов
2
ответа
Я искал google и stackoverflow, но не нашел решений, имеющих отношение к Android API 17 и выше. Мне нравится извлекать данные из webview при нажатии кнопки. Мне нравится делать что-то похожее на то...
3 месяца назад Kunwar Avanish
66
голосов
3
ответа
Я использую attachToRecyclerView (RecyclerView), и он работает как положено. Вопрос: в какой-то момент я хочу, чтобы тот же recyclerView
3 месяца назад Belzebub
85
голосов
2
ответа
Я слежу за учебным пособием по фрагментам Android, который просит настроить мой проект для работы с библиотекой v4, следуя приведенному здесь документу Setup Library Setup. Вот шаги, которые я посл...
3 месяца назад dyllandry
101
голос
1
ответ
моя заявка - просто открыть pdf-книгу, когда я использую кнопки, а размер файлов в формате pdf - это небольшой размер, а затем 1 МБ! это мои зависимости: dependencies { implementation fileTree(dir:...
3 месяца назад walidroid
55
голосов
3
ответа
Я использую ActionBarActivity в моем приложении, у которого есть minSdk как 8. Я импортировал проект "android-sdk\extras\android\support\v7\appcompat" как "Существующий код для Android в рабочую об...
3 месяца назад dora
66
голосов
1
ответ
Я много работал с библиотекой совместимости Android и всегда использовал класс в библиотеке над классом в банке Android, чтобы обеспечить обратную совместимость. Правильно ли это использовать? У ме...
3 месяца назад jiduvah
87
голосов
1
ответ
Мне нужен собственный макет для моего PreferenceFragmentCompat. В документах для PreferenceFragmentCompat кажется, что вы можете раздуть и вернуть представление в o
3 месяца назад Lakshman Chilukuri
85
голосов
1
ответ
Я тестирую недавно выпущенный файл BottomNavigationView из библиотеки поддержки android com.android.support:
3 месяца назад Vipul Shah
94
голоса
1
ответ
Я не знаю, почему крах приложения при изменении ориентации при использовании ListFragment (Support Version), когда я заменяю android.support.v4.app.ListFragment на android.app.ListFragment . Каждая...
3 месяца назад Ali Raza
54
голоса
1
ответ
Я переношу функциональность ActionBar в мое приложение для Android 2.2. При запуске любой ActionBarActivity получает следующую ошибку: java.lang.ExceptionInInitializerError at android.support.v7.ap...
3 месяца назад Sigrlami
85
голосов
1
ответ
В недавнем обновлении библиотеки поддержки Android, отключенной, SwipeRefreshLayout также сбрасывает макет, тогда как раньше он не использовался. void reset() { mCircleView.clearAnimation(); mProgr...
3 месяца назад Michael Kebede
94
голоса
2
ответа
Почему я получаю следующую ошибку? Я хотел обновить свои библиотеки поддержки от Android и обыскать много, но не нашел ничего подходящего для моей проблемы.
3 месяца назад Mahdi
85
голосов
1
ответ
У меня есть приложение с minSdkVersion = 8. Я использую следующую тему: <style name="Theme.Example" parent="@style/Theme.AppCompat.Light"> </style> В версии Android менее 5,0 выпадающее...
3 месяца назад lyc001
55
голосов
1
ответ
Я просто новичок, но у меня есть некоторые вопросы относительно библиотеки поддержки. Каждый раз, когда команда google добавляет новую версию поддержки, она устарела от использования в новой версии...
3 месяца назад Ravi Parmar
120
голосов
3
ответа
Мне нужно добавить панель действий для устройств 2.3 и выше. Недавно я узнал о библиотеке поддержки appcompat v7, которая делает именно это. Я последовал за Руководство по настройке поддержки библи...
3 месяца назад Mister Smith
120
голосов
2
ответа
Я реализую нижнюю панель навигации в приложении для Android, используя Поддержка Google дизайн-библиотека v25.1.0 . Есть ли
3 месяца назад Jan Slominski
114
голосов
7
ответов
Итак, я обновился до последних библиотек поддержки и получил сбой, который я не могу исправить. Теперь у моего build.gradle есть эти зависимости: dependencies { compile 'com.android.support:appcomp...
3 месяца назад Krøllebølle
-4
голоса
2
ответа
Я обновляю студию Android до версии 3.0.0 и устанавливаю град 4. Я создаю новый проект, но не могу разрешить зависимость . Я тестирую этот метод, но не работаю: - отменять и перезапускать - удалять...
3 месяца назад grizzly
66
голосов
4
ответа
Мне нужно создать smth-клавиатуру с калькулятором. GridLayout идеально подходит для него (и только для него :)). Итак, я использую один из Support Library ( compile 'com.android.support:gridlayout-...
3 месяца назад Bringoff
183
голоса
3
ответа
Я новичок в разработке Android. Так что медведь со мной. Я пытаюсь выровнять значок и текст в одной строке в com.android.support:design:23.1.0 в течение дня. По-видимому, в com.android.support:desi...
3 месяца назад Atu
87
голосов
2
ответа
На обеих сторонах моего TabLayout есть две прозрачные вертикальные полосы. Это выглядит так: Он появился после удаления android:theme="@style/AppTheme.Action
3 месяца назад ildar ishalin
67
голосов
1
ответ
как правильно использовать textinputlayout? что было опробовано: импортировать импорт проекта appcompat в качестве библиотеки, импортировать банку поддержки поддержки импортируйте импорт проекта ap...
3 месяца назад vims liu
85
голосов
2
ответа
IDE : Android Studio Создать новый проект Скопировать .jar appcompat с помощью /lib/ Установить зависимости в настройках проекта Добавить компиляцию "com.android.support:appcompat-v7:18.0.+" для сб...
3 месяца назад TakeThat
67
голосов
6
ответов
Я пытаюсь использовать библиотеку поддержки v7 для использования макета сетки в моем проекте Android. Я видел, что у многих людей были те же проблемы, что и у меня, но все их исправления не работаю...
3 месяца назад Craig Smith
66
голосов
2
ответа
Я только начал использовать Android Studio и Gradle, и я столкнулся с проблемой конфликта при попытке запустить приложение. Я уже сделал некоторые исследования, и проблема в том, что HoloEverywhere...
3 месяца назад diegocarloslima
78
голосов
1
ответ
Я хочу иметь CollapsingToolbarLayout (внутри AppBarLayout ), который расширяется/сворачивается, когда пользователь поднимает палец . Когда пользователь удерживает и перемещает палец на экране, Coll...
3 месяца назад LunaVulpo
-4
голоса
1
ответ
Я хочу создать настраиваемый круговой индикатор выполнения, который должен выглядеть следующим образом: Но я не хочу использовать библиотеку, и ей не
3 месяца назад Darko Petkovski
101
голос
1
ответ
Я играю с RecyclerView прямо сейчас и наткнулся на следующую проблему. Когда RecyclerView LinearLayoutManager принимает решение о том, выключен ли экран (поэтому он может быть переработчиком), он н...
3 месяца назад Pavel Dudka
66
голосов
2
ответа
Я пытаюсь отобразить настройки в Android-приложении, используя PreferenceFragment из библиотеки android.support.v14.preference . Однако, когда я пытаюсь открыть настройки, приложение вылетает со ст...
3 месяца назад EGA
110
голосов
2
ответа
При попытке установить составную выталкиваемую левую часть EditText у меня возникает проблема с использованием векторных чертежей на Android 4.3. У меня есть мой ic_mobile.xml(svg), завернутый в сп...
3 месяца назад AhmedW
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема